.pagePreloader {
  position: fixed;
  background-color: var(--body-bg-blur-color);
  backdrop-filter: blur(10px);
  display: flex;
  justify-content: center;
  align-items: center;
  width: 100%;
  height: 100%;
  top: 0;
  z-index: 100;

  &.absolute {
    position: absolute;
    height: 100%;
  }

  &__loader {
    position: relative;
    width: 100px;
    height: 100px;
    border: 3px solid rgba(255, 255, 255, 0.55);
    border-radius: 50%;

    &:before {
      content: '';
      position: absolute;
      width: 100%;
      height: 100%;
      left: -3px;
      top: -3px;
      border-radius: 50%;
      border: 3px solid transparent;
      border-top-color: #ffffff;
      animation: load8 1.1s infinite linear;
    }

    &:after {
      content: '';
      position: absolute;
      width: calc(100% - 20px);
      height: calc(100% - 20px);
      left: 6px;
      top: 6px;
      border-radius: 50%;
      border: 3px solid transparent;
      border-top-color: #ffffff;
      animation: load8-reverse 1.1s infinite linear;
    }
  }

  @keyframes load8 {
    0% {
      -webkit-transform: rotate(0deg);
      transform: rotate(0deg);
    }
    100% {
      -webkit-transform: rotate(360deg);
      transform: rotate(360deg);
    }
  }

  @keyframes load8-reverse {
    0% {
      transform: rotate(360deg);
    }
    100% {
      transform: rotate(0deg);
    }
  }
}
